Bug 16067 - Consistent use of 'no value' attributes. The 'no value' attributes like "selected", "checked" and "required" are being used inconsistently in the examples throughout the HTML5 specifications. Where "required" is always used with no value ('required' vs 'r
Consistent use of 'no value' attributes. The 'no value' attributes like "sele...
Status: RESOLVED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 22:32 UTC by contributor
Modified: 2012-09-06 18:34 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-02-21 22:32:17 UTC
Specification: http://www.w3.org/TR/html5/Overview.html
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
Consistent use of 'no value' attributes.

The 'no value' attributes like "selected", "checked" and "required" are being
used inconsistently in the examples throughout the HTML5 specifications.

Where "required" is always used with no value ('required' vs
'required="required"'), the "selected" as well as the "checked" attribute use
both the style with and without value ('selected="selected"' and 'selected').
There is also no mention about the possibility to use either of these styles,
let alone one style being recommended over the other.
Only one style should be used throughout the document, and one of the two
should preferably be recommended.

Personally I would even opt for a new attribute that takes one of the three
attributes above as values. This would get rid of these rather awkward
attributes all together. E.g.

'state="selected"', 'state="required"'

I, however, do not know how viable such a proposal will be if made by me if it
hasn't been by others already.

Posted from: 87.195.226.142
User agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Comment 1 Tab Atkins Jr. 2012-02-22 18:29:13 UTC
The HTML spec deliberately uses a mix of styles in its examples precisely so it *doesn't* advocate one way or another.  That is for authoring guides, tutorials, and other types of advocacy to do.

It seems that merging @required, @selected, and @checked together would add more characters for no benefit.
Comment 2 contributor 2012-07-18 07:16:52 UTC
This bug was cloned to create bug 17917 as part of operation convergence.
Comment 3 Edward O'Connor 2012-09-06 18:34:28 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No change.
Rationale: What Tab said.